en

  Options interface of Router.start() method.

ja

  Router.start() に指定するオプションインターフェイス

### Hierarchy

- HistoryOptions
  - RouterOptions

## Index

### Properties

- pageConstruct
- pushState
- root
- silent

## Properties

### Optional pageConstruct

pageConstruct: boolean

- Defined in Interfaces.ts:169

en

  If construct registered page instance, this param set true. default: true.

ja

  登録済みページを構築する場合 true. default: true

### Optional pushState

pushState: boolean

Inherited from HistoryOptions.pushState

- Defined in D:/projects/cdp/oss/node_6.x/cdp-js/packages/cdp-framework-jqm/node_modules/@types/backbone/index.d.ts:22

### Optional root

root: string

Inherited from HistoryOptions.root

- Defined in D:/projects/cdp/oss/node_6.x/cdp-js/packages/cdp-framework-jqm/node_modules/@types/backbone/index.d.ts:23

### Optional silent

silent: boolean

Inherited from Silenceable.silent

- Defined in D:/projects/cdp/oss/node_6.x/cdp-js/packages/cdp-framework-jqm/node_modules/@types/backbone/index.d.ts:36

Generated using TypeDoc